Module jdk.management
Package com.sun.management

# Enum Class VMOption.Origin

java.lang.Object
java.lang.Enum<VMOption.Origin>
com.sun.management.VMOption.Origin

All Implemented Interfaces:
  `Serializable`, `Comparable<VMOption.Origin>`, `Constable`

Enclosing class:
  VMOption

public static enum VMOption.Origin extends Enum<VMOption.Origin>
Origin of the value of a VM option. It tells where the value of a VM option came from.

Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ATTACH_ON_DEMAND`
The VM option was set using the attach framework.
`CONFIG_FILE`
The VM option was set via a configuration file.
`DEFAULT`
The VM option has not been set and its value is the default value.
`ENVIRON_VAR`
The VM option was set via an environment variable.
`ERGONOMIC`
The VM option was set via the VM ergonomic support.
`MANAGEMENT`
The VM option was set via the management interface after the VM was started.
`OTHER`
The VM option was set via some other mechanism.
`VM_CREATION`
The VM option was set at VM creation time typically as a command line argument to the launcher or an argument passed to the VM created using the JNI invocation interface.

## Method Summary

Modifier and Type
Method
Description
`static VMOption.Origin`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VMOption.Origin[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final VMOption.Origin DEFAULT
The VM option has not been set and its value is the default value.

### VM_CREATION

public static final VMOption.Origin VM_CREATION
The VM option was set at VM creation time typically as a command line argument to the launcher or an argument passed to the VM created using the JNI invocation interface.

### ENVIRON_VAR

public static final VMOption.Origin ENVIRON_VAR
The VM option was set via an environment variable.

### CONFIG_FILE

public static final VMOption.Origin CONFIG_FILE
The VM option was set via a configuration file.

### MANAGEMENT

public static final VMOption.Origin MANAGEMENT
The VM option was set via the management interface after the VM was started.

### ERGONOMIC

public static final VMOption.Origin ERGONOMIC
The VM option was set via the VM ergonomic support.

### ATTACH_ON_DEMAND

public static final VMOption.Origin ATTACH_ON_DEMAND
The VM option was set using the attach framework.

Since:
  9

### OTHER

public static final VMOption.Origin OTHER
The VM option was set via some other mechanism.

## Method Details

### values

public static VMOption.Origin[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VMOption.Origin valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null